Runtime

## org.eclipse.gmf.runtime.diagram.ui.dnd.internal
Class DiagramDnDDebugOptions

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.dnd.internal.DiagramDnDDebugOptions

    public final class DiagramDnDDebugOptions

extends java.lang.Object

A list of debug options for this plug-in.

Field Summary
`static java.lang.String` `DEBUG`
`static java.lang.String` `EXCEPTIONS_CATCHING`
`static java.lang.String` `EXCEPTIONS_THROWING`
`static java.lang.String` `METHODS_ENTERING`
`static java.lang.String` `METHODS_EXITING`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final java.lang.String DEBUG

### EXCEPTIONS_CATCHING

    public static final java.lang.String EXCEPTIONS_CATCHING

### EXCEPTIONS_THROWING

    public static final java.lang.String EXCEPTIONS_THROWING

### METHODS_ENTERING

    public static final java.lang.String METHODS_ENTERING

### METHODS_EXITING

    public static final java.lang.String METHODS_EXITING

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.